Bug 1193680 - [abrt] control-center: default_app_changed(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: default_app_changed(): gnome-control-center killed by ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c163b80d2ff9f74d4bc0b8d785e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-17 21:25 UTC by bztdlinux
Modified: 2015-02-19 18:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 14:25:59 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (50.28 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: core_backtrace (18.51 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: dso_list (25.76 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: environ (1.96 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: maps (123.65 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: open_fds (1.62 KB, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2015-02-17 21:25 UTC, bztdlinux
no flags Details
File: var_log_messages (184 bytes, text/plain)
2015-02-17 21:26 UTC, bztdlinux
no flags Details

Description bztdlinux 2015-02-17 21:25:52 UTC
Description of problem:
After installing Firefox Nightly, I wanted to set it as the default in Gnome Settings. However, it crashes when I try to select "Nightly" as the default application.

Version-Release number of selected component:
control-center-3.14.2-2.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        gnome-control-center --overview
crash_function: default_app_changed
executable:     /usr/bin/gnome-control-center
kernel:         3.18.6-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 default_app_changed at cc-info-panel.c:893
 #5 gtk_combo_box_set_active_internal at gtkcombobox.c:4405
 #6 gtk_combo_box_set_active_iter at gtkcombobox.c:4463
 #7 gtk_combo_box_menu_activate at gtkcombobox.c:3298
 #8 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
 #9 _g_closure_invoke_va at gclosure.c:831
 #12 item_activated_cb at gtktreemenu.c:1481
 #17 gtk_widget_activate at gtkwidget.c:7806
 #18 gtk_menu_shell_activate_item at gtkmenushell.c:1380
 #19 gtk_menu_shell_button_release at gtkmenushell.c:792

Potential duplicate: bug 958288

Comment 1 bztdlinux 2015-02-17 21:25:54 UTC
Created attachment 992908 [details]
File: backtrace

Comment 2 bztdlinux 2015-02-17 21:25:55 UTC
Created attachment 992909 [details]
File: cgroup

Comment 3 bztdlinux 2015-02-17 21:25:55 UTC
Created attachment 992910 [details]
File: core_backtrace

Comment 4 bztdlinux 2015-02-17 21:25:56 UTC
Created attachment 992911 [details]
File: dso_list

Comment 5 bztdlinux 2015-02-17 21:25:57 UTC
Created attachment 992912 [details]
File: environ

Comment 6 bztdlinux 2015-02-17 21:25:57 UTC
Created attachment 992913 [details]
File: exploitable

Comment 7 bztdlinux 2015-02-17 21:25:58 UTC
Created attachment 992914 [details]
File: limits

Comment 8 bztdlinux 2015-02-17 21:25:58 UTC
Created attachment 992915 [details]
File: maps

Comment 9 bztdlinux 2015-02-17 21:25:59 UTC
Created attachment 992916 [details]
File: open_fds

Comment 10 bztdlinux 2015-02-17 21:25:59 UTC
Created attachment 992917 [details]
File: proc_pid_status

Comment 11 bztdlinux 2015-02-17 21:26:00 UTC
Created attachment 992918 [details]
File: var_log_messages

Comment 12 Bastien Nocera 2015-02-18 09:16:48 UTC
Where did you install it from? How did you install it?

Your .desktop file for the application seems to export a mime-type that says it handles HTTP (otherwise it wouldn't show up in the list) but then doesn't list any mime-types (which returns NULL, hence the crash).

Comment 13 bztdlinux 2015-02-18 21:39:15 UTC
The Firefox Nightly build is Mozilla's official x86_64 binary, unzipped and run locally from my local directory. It prompts to set itself as the default browser, which seems not to work properly.

This might be a bug in Firefox too, but it shouldn't crash gnome-control-center.

Comment 14 Bastien Nocera 2015-02-19 14:25:59 UTC
$ gvfs-mime --query x-scheme-handler/http
Default application for 'x-scheme-handler/http': userapp-Nightly-J4KDUX.desktop
Registered applications:
	userapp-Nightly-J4KDUX.desktop
	google-chrome.desktop
	firefox.desktop
	epiphany.desktop
Recommended applications:
	userapp-Nightly-J4KDUX.desktop
	google-chrome.desktop
	firefox.desktop
	epiphany.desktop

$ cat /home/hadess/.local/share/applications/userapp-Nightly-J4KDUX.desktop 
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Type=Application
NoDisplay=true
Exec=/home/hadess/Downloads/firefox/firefox %u
Name=Nightly
Comment=Custom definition for Nightly

commit d9f08df39cafbd1f15c510da444f8ac913cdc493
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 18 10:10:08 2015 +0100

    info: Fix crash when application supports no mime-type
    
    It seems to be possible for Firefox Nightly to set itself up as the
    default x-scheme-handler/http without actually handling any mime-types.
    
    See https://bugzilla.redhat.com/show_bug.cgi?id=1193680
    
    https://bugzilla.gnome.org/show_bug.cgi?id=744695

You'll want to file a bug against Firefox so it adds the MimeTypes= line when creating its own .desktop file though.

Comment 15 bztdlinux 2015-02-19 18:11:42 UTC
Thanks for a quick response! Firefox bug filed here:

https://bugzilla.mozilla.org/show_bug.cgi?id=1134720


Note You need to log in before you can comment on or make changes to this bug.